Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 26/08/2013, à 13:34

Bob dit l'Âne

Dépendances non installables - install Webcam Studio [RESOLU]

Bonjour
smile
Comme l'indique le titre, je me trouve face à un problème de [Dépendances non installables], problème qu'il ne serait pas possible de corriger quand [des paquets défectueux sont en mode « garder en l'état »]
ou encore
Comment faire pour changer le mode « garder en l'état » par un mode qui permettrait également de remplacer les paquets défectueux par des paquets valides qui permettraient eux-même d'installer les fameuses dépendances manquantes ?
Après avoir procédé (non sans quelques aléas) à l'installation de GetDeb, J'ai suivi les recommandations de ce post pour installer Webcam Studio

Voici :

jeanyves@jeanyves-P7612:~$ sudo apt-get install webcamstudio
[sudo] password for jeanyves: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
 webcamstudio : Dépend: libappframework-java mais il n'est pas installable
                Dépend: libcommons-cli-java mais il n'est pas installable
                Dépend: libcommons-lang3-java mais il n'est pas installable
                Dépend: libjna-java mais il n'est pas installable
                Dépend: libjsr305-java mais il n'est pas installable
                Dépend: libnb-absolutelayout-java mais il n'est pas installable
                Dépend: libnetty-java mais il n'est pas installable
                Dépend: libslf4j-java mais il n'est pas installable
                Dépend: libswingworker-java mais il n'est pas installable
                Dépend: jarwrapper mais il n'est pas installable
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
jeanyves@jeanyves-P7612:~$

Merci d'avance pour le conseil
smile

Dernière modification par Bob dit l'Âne (Le 28/08/2013, à 10:05)


Akoya MD 97860 P7612 Core 2 Duo T6500 NVIDIA Realtek RTL8191SE Wireless LAN GeForce G210M
Ubuntu 14.10 (« The Utopic Unicorn », la licorne utopique)
Les paroles s'envolent, les écrits restent !

Hors ligne

#2 Le 26/08/2013, à 13:48

chpnp

Re : Dépendances non installables - install Webcam Studio [RESOLU]

il m'est arrivé que ce pb se règle de lui même après 2-3 semaines....
si tu n'as pas d'urgence, attendre un peu on ne sait jamais

Hors ligne

#3 Le 26/08/2013, à 15:03

Bob dit l'Âne

Re : Dépendances non installables - install Webcam Studio [RESOLU]

Merci pour ta réponse chpnp, mais si je demande l'aide du Forum, c'est bien parce que j'espère avoir une piste et ainsi progresser dans mon apprentissage.
smile


Akoya MD 97860 P7612 Core 2 Duo T6500 NVIDIA Realtek RTL8191SE Wireless LAN GeForce G210M
Ubuntu 14.10 (« The Utopic Unicorn », la licorne utopique)
Les paroles s'envolent, les écrits restent !

Hors ligne

#4 Le 27/08/2013, à 09:28

Bob dit l'Âne

Re : Dépendances non installables - install Webcam Studio [RESOLU]

sad
Il n'y a personne ??


Akoya MD 97860 P7612 Core 2 Duo T6500 NVIDIA Realtek RTL8191SE Wireless LAN GeForce G210M
Ubuntu 14.10 (« The Utopic Unicorn », la licorne utopique)
Les paroles s'envolent, les écrits restent !

Hors ligne

#5 Le 27/08/2013, à 10:19

fcn50

Re : Dépendances non installables - install Webcam Studio [RESOLU]

Salut,

Ce Webcam Studio est un paquet .deb? Il y a pourtant une doc pour ça sans passer par getdeb:

http://doc.ubuntu-fr.org/webcamstudio

Dernière modification par fcn50 (Le 27/08/2013, à 10:24)


14.04.1 LTS, Xfce 4.10.1, Phenom II x6 1090T BE, SSD Patriot Inferno 60 Go, WD Black 1 To, Sapphire HD 7750 Ultimate, Rme HDSP 9632, Dell U2713HM. Portable Alienware 14 (déconseillé sous linux) !
Un site qui vaut le détour: http://blog.syti.net  Une radio hors du commun: http://solenopole.org
You like the american dream? Wellcome to Guantànamo...

Hors ligne

#6 Le 27/08/2013, à 19:38

Bob dit l'Âne

Re : Dépendances non installables - install Webcam Studio [RESOLU]

Merci fcn50 pour ta réponse smile
Je viens donc de télécharger le paquet webcamstudio_0.57beta4_all.deb après avoir vérifié par Synaptic que j'avais bien openjdk-6-jre (Java)installé sur ma machine.
L'installation ne se lance pas dans la logithèque. On me dit qu'une dépendance ne peut être satisfaite : libdbus-java
Je viens de vérifier dans Synaptic . libdbus-java n'est pas installée. Où puis-je la trouver ?
sad


Akoya MD 97860 P7612 Core 2 Duo T6500 NVIDIA Realtek RTL8191SE Wireless LAN GeForce G210M
Ubuntu 14.10 (« The Utopic Unicorn », la licorne utopique)
Les paroles s'envolent, les écrits restent !

Hors ligne

#7 Le 28/08/2013, à 07:38

fcn50

Re : Dépendances non installables - install Webcam Studio [RESOLU]

Ben c'est étrange, dans la doc il ne parle pas de libdbus-java. Je l'ai dans synaptic, pas installé mais il est là, fait sudo apt-get install libdbus-java. Puis: sudo dpkg -i /le chemin du/webcamstudio_0.57beta4_all.deb


14.04.1 LTS, Xfce 4.10.1, Phenom II x6 1090T BE, SSD Patriot Inferno 60 Go, WD Black 1 To, Sapphire HD 7750 Ultimate, Rme HDSP 9632, Dell U2713HM. Portable Alienware 14 (déconseillé sous linux) !
Un site qui vaut le détour: http://blog.syti.net  Une radio hors du commun: http://solenopole.org
You like the american dream? Wellcome to Guantànamo...

Hors ligne

#8 Le 28/08/2013, à 09:05

Bob dit l'Âne

Re : Dépendances non installables - install Webcam Studio [RESOLU]

Ben, j'ai fait, mais ...

jeanyves@jeanyves-P7612:~$ sudo apt-get install libdbus-java
[sudo] password for jeanyves: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet libdbus-java

... pour installer le paquet, il faudrait qu'il soit présent (je viens de vérifier, il n'est pas dans Synaptic)
... mais je viens de m'apercevoir que la case universe n'était pas cochée (onglet logiciels Ubuntu / fenêtre dans la fenêtre Logiciels & mises à jour )
... alors je la coche, je recharge et je cherche libdbus-java. Il est là, je tente de l'installer par Synaptic, ça y est !

Dernière modification par Bob dit l'Âne (Le 28/08/2013, à 09:21)


Akoya MD 97860 P7612 Core 2 Duo T6500 NVIDIA Realtek RTL8191SE Wireless LAN GeForce G210M
Ubuntu 14.10 (« The Utopic Unicorn », la licorne utopique)
Les paroles s'envolent, les écrits restent !

Hors ligne

#9 Le 28/08/2013, à 09:26

fcn50

Re : Dépendances non installables - install Webcam Studio [RESOLU]

Alors c'est bon? Si oui met le fil en résolu.


14.04.1 LTS, Xfce 4.10.1, Phenom II x6 1090T BE, SSD Patriot Inferno 60 Go, WD Black 1 To, Sapphire HD 7750 Ultimate, Rme HDSP 9632, Dell U2713HM. Portable Alienware 14 (déconseillé sous linux) !
Un site qui vaut le détour: http://blog.syti.net  Une radio hors du commun: http://solenopole.org
You like the american dream? Wellcome to Guantànamo...

Hors ligne

#10 Le 28/08/2013, à 09:44

Bob dit l'Âne

Re : Dépendances non installables - install Webcam Studio [RESOLU]

smile
Attends, je n'ai pas fini ! J'ai apparemment un autre problème :

jeanyves@jeanyves-P7612:~$ sudo apt-get install libdbus-java
[sudo] password for jeanyves: 
E: Impossible d'obtenir le verrou /var/lib/dpkg/lock - open (11: Ressource temporairement non disponible)
E: Impossible de verrouiller le répertoire d'administration (/var/lib/dpkg/). Il est possible qu'un autre processus l'utilise.

neutral
Bon alors, je relance à l'instant l'install de "webcamstudio" par un sudo apt-get install webcamstudio
Ca a l'air de s'être bien passé, maintenant il faut voir si ça fonctionne.

Dernière modification par Bob dit l'Âne (Le 28/08/2013, à 09:51)


Akoya MD 97860 P7612 Core 2 Duo T6500 NVIDIA Realtek RTL8191SE Wireless LAN GeForce G210M
Ubuntu 14.10 (« The Utopic Unicorn », la licorne utopique)
Les paroles s'envolent, les écrits restent !

Hors ligne

#11 Le 28/08/2013, à 09:49

fcn50

Re : Dépendances non installables - install Webcam Studio [RESOLU]

C'est normal si tu as aussi synaptic ouvert en même temps que tu tapes la commande dans le terminal.


14.04.1 LTS, Xfce 4.10.1, Phenom II x6 1090T BE, SSD Patriot Inferno 60 Go, WD Black 1 To, Sapphire HD 7750 Ultimate, Rme HDSP 9632, Dell U2713HM. Portable Alienware 14 (déconseillé sous linux) !
Un site qui vaut le détour: http://blog.syti.net  Une radio hors du commun: http://solenopole.org
You like the american dream? Wellcome to Guantànamo...

Hors ligne

#12 Le 28/08/2013, à 09:51

Bob dit l'Âne

Re : Dépendances non installables - install Webcam Studio [RESOLU]

OK, on s'est croisé !
smile
Je viens de vérifier : Webcam Studio est bien installé cette fois. Il ne me reste plus qu'à apprendre à m'en servir, mais c'est autre chose
... et à marquer [RESOLU]
Merci encore pour votre aide !
smile smile smile

Dernière modification par Bob dit l'Âne (Le 28/08/2013, à 10:00)


Akoya MD 97860 P7612 Core 2 Duo T6500 NVIDIA Realtek RTL8191SE Wireless LAN GeForce G210M
Ubuntu 14.10 (« The Utopic Unicorn », la licorne utopique)
Les paroles s'envolent, les écrits restent !

Hors ligne

#13 Le 28/08/2013, à 10:04

fcn50

Re : Dépendances non installables - install Webcam Studio [RESOLU]

Parfait. Pour le [résolu], tu cliques sur ton 1er message > modifier et tu rajoutes [résolu] dans le titre du fil.


14.04.1 LTS, Xfce 4.10.1, Phenom II x6 1090T BE, SSD Patriot Inferno 60 Go, WD Black 1 To, Sapphire HD 7750 Ultimate, Rme HDSP 9632, Dell U2713HM. Portable Alienware 14 (déconseillé sous linux) !
Un site qui vaut le détour: http://blog.syti.net  Une radio hors du commun: http://solenopole.org
You like the american dream? Wellcome to Guantànamo...

Hors ligne

Haut de page ↑